import{s as Oe,n as Se,o as He}from"../chunks/scheduler.6062bdaf.js";import{S as Me,i as je,g as a,s as o,r as d,A as Be,h as i,f as n,c as r,j as _,u as l,x as y,k as v,y as e,a as s,v as c,d as g,t as f,w as h}from"../chunks/index.4bca734e.js";import{D as x}from"../chunks/Docstring.d7918b6d.js";import{H as xe,E as Ke}from"../chunks/EditOnGithub.74ab2baa.js";function Re($e){let $,$t,yt,bt,V,Dt,U,be=`It is very common to have to generate dummy inputs to perform a task (tracing, exporting a model to some backend,
testing model outputs, etc). The goal of <a href="/docs/optimum/v1.21.4/en/utils/dummy_input_generators#optimum.utils.DummyInputGenerator">DummyInputGenerator</a> classes is to make this
generation easy and re-usable.`,wt,A,Tt,p,O,Xt,rt,De="Generates dummy inputs for the supported input names, in the requested framework.",Yt,C,S,Zt,at,we="Concatenates inputs together.",te,k,H,ee,it,Te="Generates a constant tensor.",ne,q,M,oe,mt,Ge="Generates the dummy input matching <code>input_name</code> for the requested framework.",re,N,j,ae,st,Ie="Pads an input either to the desired length, or by a padding length.",ie,z,B,me,pt,Ce="Generates a tensor of random floats in the [min_value, max_value) range.",se,L,K,pe,ut,ke="Generates a tensor of random integers in the [min_value, max_value) range.",ue,P,R,de,dt,qe="Generates a mask tensor either right or left padded.",le,E,F,ce,lt,Ne="Checks whether the <code>DummyInputGenerator</code> supports the generation of the requested input.",Gt,J,It,b,Q,ge,ct,ze="Generates dummy encoder text inputs.",Ct,D,W,fe,gt,Le="Generates dummy decoder text inputs.",kt,w,X,he,ft,Pe="Generates dummy past_key_values inputs.",qt,T,Y,_e,ht,Ee="Generates dummy past_key_values inputs for seq2seq architectures.",Nt,G,Z,ve,_t,Ve="Generates dummy bbox inputs.",zt,I,tt,ye,vt,Ue="Generates dummy vision inputs.",Lt,et,nt,Pt,ot,Et,xt,Vt;return V=new xe({props:{title:"Dummy Input Generators",local:"dummy-input-generators",headingTag:"h1"}}),A=new xe({props:{title:"Base class",local:"optimum.utils.DummyInputGenerator",headingTag:"h2"}}),O=new x({props:{name:"class optimum.utils.DummyInputGenerator",anchor:"optimum.utils.DummyInputGenerator",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L112"}}),S=new x({props:{name:"concat_inputs",anchor:"optimum.utils.DummyInputGenerator.concat_inputs",parameters:[{name:"inputs",val:""},{name:"dim",val:": int"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.concat_inputs.dim",description:`<strong>dim</strong> (<code>int</code>) &#x2014;
The dimension along which to concatenate.`,name:"dim"}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L308",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The tensor of the concatenation.</p>
`}}),H=new x({props:{name:"constant_tensor",anchor:"optimum.utils.DummyInputGenerator.constant_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"value",val:": typing.Union[int, float] = 1"},{name:"dtype",val:": typing.Optional[typing.Any] = None"},{name:"framework",val:": str = 'pt'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the constant tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.value",description:`<strong>value</strong> (<code>Union[int, float]</code>, defaults to 1) &#x2014;
The value to fill the constant tensor with.`,name:"value"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.dtype",description:`<strong>dtype</strong> (<code>Optional[Any]</code>, defaults to <code>None</code>) &#x2014;
The dtype of the constant tensor.`,name:"dtype"},{anchor:"optimum.utils.DummyInputGenerator.constant_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L267",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A constant tensor in the requested framework.</p>
`}}),M=new x({props:{name:"generate",anchor:"optimum.utils.DummyInputGenerator.generate",parameters:[{name:"input_name",val:": str"},{name:"framework",val:": str = 'pt'"},{name:"int_dtype",val:": str = 'int64'"},{name:"float_dtype",val:": str = 'fp32'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.generate.input_name",description:`<strong>input_name</strong> (<code>str</code>) &#x2014;
The name of the input to generate.`,name:"input_name"},{anchor:"optimum.utils.DummyInputGenerator.generate.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.generate.int_dtype",description:`<strong>int_dtype</strong> (<code>str</code>, defaults to <code>&quot;int64&quot;</code>) &#x2014;
The dtypes of generated integer tensors.`,name:"int_dtype"},{anchor:"optimum.utils.DummyInputGenerator.generate.float_dtype",description:`<strong>float_dtype</strong> (<code>str</code>, defaults to <code>&quot;fp32&quot;</code>) &#x2014;
The dtypes of generated float tensors.`,name:"float_dtype"}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L133",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A tensor in the requested framework of the input.</p>
`}}),j=new x({props:{name:"pad_input_on_dim",anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim",parameters:[{name:"input_",val:""},{name:"dim",val:": int"},{name:"desired_length",val:": typing.Optional[int] = None"},{name:"padding_length",val:": typing.Optional[int] = None"},{name:"value",val:": typing.Union[int, float] = 1"},{name:"dtype",val:": typing.Optional[typing.Any] = None"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.dim",description:`<strong>dim</strong> (<code>int</code>) &#x2014;
The dimension along which to pad.`,name:"dim"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.desired_length",description:`<strong>desired_length</strong> (<code>Optional[int]</code>, defaults to <code>None</code>) &#x2014;
The desired length along the dimension after padding.`,name:"desired_length"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.padding_length",description:`<strong>padding_length</strong> (<code>Optional[int]</code>, defaults to <code>None</code>) &#x2014;
The length to pad along the dimension.`,name:"padding_length"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.value",description:`<strong>value</strong> (<code>Union[int, float]</code>, defaults to 1) &#x2014;
The value to use for padding.`,name:"value"},{anchor:"optimum.utils.DummyInputGenerator.pad_input_on_dim.dtype",description:`<strong>dtype</strong> (<code>Optional[Any]</code>, defaults to <code>None</code>) &#x2014;
The dtype of the padding.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L331",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The padded tensor.</p>
`}}),B=new x({props:{name:"random_float_tensor",anchor:"optimum.utils.DummyInputGenerator.random_float_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"min_value",val:": float = 0"},{name:"max_value",val:": float = 1"},{name:"framework",val:": str = 'pt'"},{name:"dtype",val:": str = 'fp32'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the random tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.min_value",description:`<strong>min_value</strong> (<code>float</code>, defaults to 0) &#x2014;
The minimum value allowed.`,name:"min_value"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.max_value",description:`<strong>max_value</strong> (<code>float</code>, defaults to 1) &#x2014;
The maximum value allowed.`,name:"max_value"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.random_float_tensor.dtype",description:`<strong>dtype</strong> (<code>str</code>, defaults to <code>&quot;fp32&quot;</code>) &#x2014;
The dtype of the generated float tensor. Could be &#x201C;fp32&#x201D;, &#x201C;fp16&#x201D;, &#x201C;bf16&#x201D;.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L236",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A random tensor in the requested framework.</p>
`}}),K=new x({props:{name:"random_int_tensor",anchor:"optimum.utils.DummyInputGenerator.random_int_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"max_value",val:": int"},{name:"min_value",val:": int = 0"},{name:"framework",val:": str = 'pt'"},{name:"dtype",val:": str = 'int64'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the random tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.max_value",description:`<strong>max_value</strong> (<code>int</code>) &#x2014;
The maximum value allowed.`,name:"max_value"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.min_value",description:`<strong>min_value</strong> (<code>int</code>, defaults to 0) &#x2014;
The minimum value allowed.`,name:"min_value"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.random_int_tensor.dtype",description:`<strong>dtype</strong> (<code>str</code>, defaults to <code>&quot;int64&quot;</code>) &#x2014;
The dtype of the generated integer tensor. Could be &#x201C;int64&#x201D;, &#x201C;int32&#x201D;, &#x201C;int8&#x201D;.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L153",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A random tensor in the requested framework.</p>
`}}),R=new x({props:{name:"random_mask_tensor",anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor",parameters:[{name:"shape",val:": typing.List[int]"},{name:"padding_side",val:": str = 'right'"},{name:"framework",val:": str = 'pt'"},{name:"dtype",val:": str = 'int64'"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.shape",description:`<strong>shape</strong> (<code>List[int]</code>) &#x2014;
The shape of the random tensor.`,name:"shape"},{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.padding_side",description:`<strong>padding_side</strong> (<code>str</code>, defaults to &#x201C;right&#x201D;) &#x2014;
The side on which the padding is applied.`,name:"padding_side"},{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.framework",description:`<strong>framework</strong> (<code>str</code>, defaults to <code>&quot;pt&quot;</code>) &#x2014;
The requested framework.`,name:"framework"},{anchor:"optimum.utils.DummyInputGenerator.random_mask_tensor.dtype",description:`<strong>dtype</strong> (<code>str</code>, defaults to <code>&quot;int64&quot;</code>) &#x2014;
The dtype of the generated integer tensor. Could be &#x201C;int64&#x201D;, &#x201C;int32&#x201D;, &#x201C;int8&#x201D;.`,name:"dtype"}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L183",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A random mask tensor either left padded or right padded in the requested framework.</p>
`}}),F=new x({props:{name:"supports_input",anchor:"optimum.utils.DummyInputGenerator.supports_input",parameters:[{name:"input_name",val:": str"}],parametersDescription:[{anchor:"optimum.utils.DummyInputGenerator.supports_input.input_name",description:`<strong>input_name</strong> (<code>str</code>) &#x2014;
The name of the input to generate.`,name:"input_name"}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L119",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A boolean specifying whether the input is supported.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>bool</code></p>
`}}),J=new xe({props:{title:"Existing dummy input generators",local:"optimum.utils.DummyTextInputGenerator",headingTag:"h2"}}),Q=new x({props:{name:"class optimum.utils.DummyTextInputGenerator",anchor:"optimum.utils.DummyTextInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"num_choices",val:": int = 4"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_num_choices_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"padding_side",val:": str = 'right'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L377"}}),W=new x({props:{name:"class optimum.utils.DummyDecoderTextInputGenerator",anchor:"optimum.utils.DummyDecoderTextInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"num_choices",val:": int = 4"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_num_choices_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"padding_side",val:": str = 'right'"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L498"}}),X=new x({props:{name:"class optimum.utils.DummyPastKeyValuesGenerator",anchor:"optimum.utils.DummyPastKeyValuesGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedTextConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L562"}}),Y=new x({props:{name:"class optimum.utils.DummySeq2SeqPastKeyValuesGenerator",anchor:"optimum.utils.DummySeq2SeqPastKeyValuesGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": typing.Union[optimum.utils.normalized_config.NormalizedSeq2SeqConfig, optimum.utils.normalized_config.NormalizedEncoderDecoderConfig]"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"encoder_sequence_length",val:": typing.Optional[int] = None"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L609"}}),Z=new x({props:{name:"class optimum.utils.DummyBboxInputGenerator",anchor:"optimum.utils.DummyBboxInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedConfig"},{name:"batch_size",val:": int = 2"},{name:"sequence_length",val:": int = 16"},{name:"random_batch_size_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"random_sequence_length_range",val:": typing.Union[typing.Tuple[int, int], NoneType] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L697"}}),tt=new x({props:{name:"class optimum.utils.DummyVisionInputGenerator",anchor:"optimum.utils.DummyVisionInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedVisionConfig"},{name:"batch_size",val:": int = 2"},{name:"num_channels",val:": int = 3"},{name:"width",val:": int = 64"},{name:"height",val:": int = 64"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L737"}}),nt=new x({props:{name:"class optimum.utils.DummyAudioInputGenerator",anchor:"optimum.utils.DummyAudioInputGenerator",parameters:[{name:"task",val:": str"},{name:"normalized_config",val:": NormalizedConfig"},{name:"batch_size",val:": int = 2"},{name:"feature_size",val:": int = 80"},{name:"nb_max_frames",val:": int = 3000"},{name:"audio_sequence_length",val:": int = 16000"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.21.4/optimum/utils/input_generators.py#L797"}}),ot=new Ke({props:{source:"https://github.com/huggingface/optimum/blob/main/docs/source/utils/dummy_input_generators.mdx"}}),{c(){$=a("meta"),$t=o(),yt=a("p"),bt=o(),d(V.$$.fragment),Dt=o(),U=a("p"),U.innerHTML=be,wt=o(),d(A.$$.fragment),Tt=o(),p=a("div"),d(O.$$.fragment),Xt=o(),rt=a("p"),rt.textContent=De,Yt=o(),C=a("div"),d(S.$$.fragment),Zt=o(),at=a("p"),at.textContent=we,te=o(),k=a("div"),d(H.$$.fragment),ee=o(),it=a("p"),it.textContent=Te,ne=o(),q=a("div"),d(M.$$.fragment),oe=o(),mt=a("p"),mt.innerHTML=Ge,re=o(),N=a("div"),d(j.$$.fragment),ae=o(),st=a("p"),st.textContent=Ie,ie=o(),z=a("div"),d(B.$$.fragment),me=o(),pt=a("p"),pt.textContent=Ce,se=o(),L=a("div"),d(K.$$.fragment),pe=o(),ut=a("p"),ut.textContent=ke,ue=o(),P=a("div"),d(R.$$.fragment),de=o(),dt=a("p"),dt.textContent=qe,le=o(),E=a("div"),d(F.$$.fragment),ce=o(),lt=a("p"),lt.innerHTML=Ne,Gt=o(),d(J.$$.fragment),It=o(),b=a("div"),d(Q.$$.fragment),ge=o(),ct=a("p"),ct.textContent=ze,Ct=o(),D=a("div"),d(W.$$.fragment),fe=o(),gt=a("p"),gt.textContent=Le,kt=o(),w=a("div"),d(X.$$.fragment),he=o(),ft=a("p"),ft.textContent=Pe,qt=o(),T=a("div"),d(Y.$$.fragment),_e=o(),ht=a("p"),ht.textContent=Ee,Nt=o(),G=a("div"),d(Z.$$.fragment),ve=o(),_t=a("p"),_t.textContent=Ve,zt=o(),I=a("div"),d(tt.$$.fragment),ye=o(),vt=a("p"),vt.textContent=Ue,Lt=o(),et=a("div"),d(nt.$$.fragment),Pt=o(),d(ot.$$.fragment),Et=o(),xt=a("p"),this.h()},l(t){const m=Be("svelte-u9bgzb",document.head);$=i(m,"META",{name:!0,content:!0}),m.forEach(n),$t=r(t),yt=i(t,"P",{}),_(yt).forEach(n),bt=r(t),l(V.$$.fragment,t),Dt=r(t),U=i(t,"P",{"data-svelte-h":!0}),y(U)!=="svelte-1wbkja8"&&(U.innerHTML=be),wt=r(t),l(A.$$.fragment,t),Tt=r(t),p=i(t,"DIV",{class:!0});var u=_(p);l(O.$$.fragment,u),Xt=r(u),rt=i(u,"P",{"data-svelte-h":!0}),y(rt)!=="svelte-157abj3"&&(rt.textContent=De),Yt=r(u),C=i(u,"DIV",{class:!0});var Ut=_(C);l(S.$$.fragment,Ut),Zt=r(Ut),at=i(Ut,"P",{"data-svelte-h":!0}),y(at)!=="svelte-zzi3wj"&&(at.textContent=we),Ut.forEach(n),te=r(u),k=i(u,"DIV",{class:!0});var At=_(k);l(H.$$.fragment,At),ee=r(At),it=i(At,"P",{"data-svelte-h":!0}),y(it)!=="svelte-1y5j6bo"&&(it.textContent=Te),At.forEach(n),ne=r(u),q=i(u,"DIV",{class:!0});var Ot=_(q);l(M.$$.fragment,Ot),oe=r(Ot),mt=i(Ot,"P",{"data-svelte-h":!0}),y(mt)!=="svelte-1t5v7od"&&(mt.innerHTML=Ge),Ot.forEach(n),re=r(u),N=i(u,"DIV",{class:!0});var St=_(N);l(j.$$.fragment,St),ae=r(St),st=i(St,"P",{"data-svelte-h":!0}),y(st)!=="svelte-4ylykg"&&(st.textContent=Ie),St.forEach(n),ie=r(u),z=i(u,"DIV",{class:!0});var Ht=_(z);l(B.$$.fragment,Ht),me=r(Ht),pt=i(Ht,"P",{"data-svelte-h":!0}),y(pt)!=="svelte-1p1x6w2"&&(pt.textContent=Ce),Ht.forEach(n),se=r(u),L=i(u,"DIV",{class:!0});var Mt=_(L);l(K.$$.fragment,Mt),pe=r(Mt),ut=i(Mt,"P",{"data-svelte-h":!0}),y(ut)!=="svelte-1xlifly"&&(ut.textContent=ke),Mt.forEach(n),ue=r(u),P=i(u,"DIV",{class:!0});var jt=_(P);l(R.$$.fragment,jt),de=r(jt),dt=i(jt,"P",{"data-svelte-h":!0}),y(dt)!=="svelte-1g8m1fx"&&(dt.textContent=qe),jt.forEach(n),le=r(u),E=i(u,"DIV",{class:!0});var Bt=_(E);l(F.$$.fragment,Bt),ce=r(Bt),lt=i(Bt,"P",{"data-svelte-h":!0}),y(lt)!=="svelte-k00hs6"&&(lt.innerHTML=Ne),Bt.forEach(n),u.forEach(n),Gt=r(t),l(J.$$.fragment,t),It=r(t),b=i(t,"DIV",{class:!0});var Kt=_(b);l(Q.$$.fragment,Kt),ge=r(Kt),ct=i(Kt,"P",{"data-svelte-h":!0}),y(ct)!=="svelte-1fjsvlm"&&(ct.textContent=ze),Kt.forEach(n),Ct=r(t),D=i(t,"DIV",{class:!0});var Rt=_(D);l(W.$$.fragment,Rt),fe=r(Rt),gt=i(Rt,"P",{"data-svelte-h":!0}),y(gt)!=="svelte-12xi2x2"&&(gt.textContent=Le),Rt.forEach(n),kt=r(t),w=i(t,"DIV",{class:!0});var Ft=_(w);l(X.$$.fragment,Ft),he=r(Ft),ft=i(Ft,"P",{"data-svelte-h":!0}),y(ft)!=="svelte-194nuou"&&(ft.textContent=Pe),Ft.forEach(n),qt=r(t),T=i(t,"DIV",{class:!0});var Jt=_(T);l(Y.$$.fragment,Jt),_e=r(Jt),ht=i(Jt,"P",{"data-svelte-h":!0}),y(ht)!=="svelte-1mh0vyd"&&(ht.textContent=Ee),Jt.forEach(n),Nt=r(t),G=i(t,"DIV",{class:!0});var Qt=_(G);l(Z.$$.fragment,Qt),ve=r(Qt),_t=i(Qt,"P",{"data-svelte-h":!0}),y(_t)!=="svelte-mrxph6"&&(_t.textContent=Ve),Qt.forEach(n),zt=r(t),I=i(t,"DIV",{class:!0});var Wt=_(I);l(tt.$$.fragment,Wt),ye=r(Wt),vt=i(Wt,"P",{"data-svelte-h":!0}),y(vt)!=="svelte-oqlyz"&&(vt.textContent=Ue),Wt.forEach(n),Lt=r(t),et=i(t,"DIV",{class:!0});var Ae=_(et);l(nt.$$.fragment,Ae),Ae.forEach(n),Pt=r(t),l(ot.$$.fragment,t),Et=r(t),xt=i(t,"P",{}),_(xt).forEach(n),this.h()},h(){v($,"name","hf:doc:metadata"),v($,"content",Fe),v(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,m){e(document.head,$),s(t,$t,m),s(t,yt,m),s(t,bt,m),c(V,t,m),s(t,Dt,m),s(t,U,m),s(t,wt,m),c(A,t,m),s(t,Tt,m),s(t,p,m),c(O,p,null),e(p,Xt),e(p,rt),e(p,Yt),e(p,C),c(S,C,null),e(C,Zt),e(C,at),e(p,te),e(p,k),c(H,k,null),e(k,ee),e(k,it),e(p,ne),e(p,q),c(M,q,null),e(q,oe),e(q,mt),e(p,re),e(p,N),c(j,N,null),e(N,ae),e(N,st),e(p,ie),e(p,z),c(B,z,null),e(z,me),e(z,pt),e(p,se),e(p,L),c(K,L,null),e(L,pe),e(L,ut),e(p,ue),e(p,P),c(R,P,null),e(P,de),e(P,dt),e(p,le),e(p,E),c(F,E,null),e(E,ce),e(E,lt),s(t,Gt,m),c(J,t,m),s(t,It,m),s(t,b,m),c(Q,b,null),e(b,ge),e(b,ct),s(t,Ct,m),s(t,D,m),c(W,D,null),e(D,fe),e(D,gt),s(t,kt,m),s(t,w,m),c(X,w,null),e(w,he),e(w,ft),s(t,qt,m),s(t,T,m),c(Y,T,null),e(T,_e),e(T,ht),s(t,Nt,m),s(t,G,m),c(Z,G,null),e(G,ve),e(G,_t),s(t,zt,m),s(t,I,m),c(tt,I,null),e(I,ye),e(I,vt),s(t,Lt,m),s(t,et,m),c(nt,et,null),s(t,Pt,m),c(ot,t,m),s(t,Et,m),s(t,xt,m),Vt=!0},p:Se,i(t){Vt||(g(V.$$.fragment,t),g(A.$$.fragment,t),g(O.$$.fragment,t),g(S.$$.fragment,t),g(H.$$.fragment,t),g(M.$$.fragment,t),g(j.$$.fragment,t),g(B.$$.fragment,t),g(K.$$.fragment,t),g(R.$$.fragment,t),g(F.$$.fragment,t),g(J.$$.fragment,t),g(Q.$$.fragment,t),g(W.$$.fragment,t),g(X.$$.fragment,t),g(Y.$$.fragment,t),g(Z.$$.fragment,t),g(tt.$$.fragment,t),g(nt.$$.fragment,t),g(ot.$$.fragment,t),Vt=!0)},o(t){f(V.$$.fragment,t),f(A.$$.fragment,t),f(O.$$.fragment,t),f(S.$$.fragment,t),f(H.$$.fragment,t),f(M.$$.fragment,t),f(j.$$.fragment,t),f(B.$$.fragment,t),f(K.$$.fragment,t),f(R.$$.fragment,t),f(F.$$.fragment,t),f(J.$$.fragment,t),f(Q.$$.fragment,t),f(W.$$.fragment,t),f(X.$$.fragment,t),f(Y.$$.fragment,t),f(Z.$$.fragment,t),f(tt.$$.fragment,t),f(nt.$$.fragment,t),f(ot.$$.fragment,t),Vt=!1},d(t){t&&(n($t),n(yt),n(bt),n(Dt),n(U),n(wt),n(Tt),n(p),n(Gt),n(It),n(b),n(Ct),n(D),n(kt),n(w),n(qt),n(T),n(Nt),n(G),n(zt),n(I),n(Lt),n(et),n(Pt),n(Et),n(xt)),n($),h(V,t),h(A,t),h(O),h(S),h(H),h(M),h(j),h(B),h(K),h(R),h(F),h(J,t),h(Q),h(W),h(X),h(Y),h(Z),h(tt),h(nt),h(ot,t)}}}const Fe='{"title":"Dummy Input Generators","local":"dummy-input-generators","sections":[{"title":"Base class","local":"optimum.utils.DummyInputGenerator","sections":[],"depth":2},{"title":"Existing dummy input generators","local":"optimum.utils.DummyTextInputGenerator","sections":[],"depth":2}],"depth":1}';function Je($e){return He(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ze extends Me{constructor($){super(),je(this,$,Je,Re,Oe,{})}}export{Ze as component};
